Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Content

Update Content
PATCH /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1/contentmodules/{moduleId}/content/{contentId}
Update a content post with contentId in a module with moduleId.
Accepts a JsonPatch request in the body and replaces provided fields.

The following fields are allowed to be updated:
categoryId, locales, mediaIds, permissions, and notifications

bodyText in locales must be provided using Markdown syntax.
For more information on permissions, notifications and Markdown syntax visit their respective concept pages.
Scopes: relesys.api, relesys.api:write, relesys.api.content, relesys.api.content:write
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Request Body
application/json-patch+json
JSON
[{"value":"de887366-8962-4296-906c-1fd962652b2a","path":"/categoryId","op":"replace"},{"value":[{"culture":"da-DK","title":"Title","bodyText":"Body text"}],"path":"/locales","op":"replace"},{"value":["b734bea9-309e-4518-82e3-b9cdaaccebf4"],"path":"/mediaIds","op":"replace"},{"value":[{"userGroups":[],"departments":[],"requireAllUserGroups":false}],"path":"/permissions","op":"replace"},{"value":{"sendNotification":false,"sendPushNotification":false,"forceInstantPush":false},"path":"/notifications","op":"replace"}]
array[object]
  from string optional
  op string optional
  path string optional
  value object optional
Responses
application/json
JSON
{"data":{"id":"85793a57-a428-4a64-b39d-1a3ee05de29b","url":null,"userId":"f4fb18d0-023a-4461-9d8d-4e539538fec5","userUrl":null,"categoryId":"05b08419-53bc-4dd5-906c-5b6bfd88d882","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-04-16T11:26:06.0266322+00:00","lastModifiedDateTime":"2026-04-17T07:26:06.0266322+00:00","availableFrom":"2026-04-17T11:26:06","startDateTimeZone":null,"availableUntil":"2026-04-18T11:26:06","endDateTimeZone":null,"medias":[{"id":"31c1f255-9a66-4d1d-bdd4-74cab37493ec","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"e1c8c1a2-18c4-49fc-87ce-51ee194c15a4","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"420d2107-32bd-4387-a0e4-c4b8dd8bbda5","url":null},{"type":"Department","name":"Department name example","id":"0ce71c2b-2f87-4c48-a705-7e13add0b9be","url":null},{"type":"User group","name":"User group name example","id":"34911d85-76a8-466e-ada4-30f874848899","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"48f17835-faec-4429-a3ec-692aed80afd9"}],"userGroups":[{"url":null,"name":"User group name example","id":"bd3b3e38-c4f1-4681-805e-cfe3ab74ce34"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string